# frozen_string_literal: true

class CreateVulnerabilityRemediationsTable < ActiveRecord::Migration[6.0]
  include Gitlab::Database::MigrationHelpers

  DOWNTIME = false

  disable_ddl_transaction!

  def up
    create_table :vulnerability_remediations, if_not_exists: true do |t|
      t.timestamps_with_timezone

      t.integer :file_store, limit: 2
      t.text :summary, null: false
      t.text :file, null: false
    end

    add_text_limit :vulnerability_remediations, :summary, 200
    add_text_limit :vulnerability_remediations, :file, 255
  end

  def down
    drop_table :vulnerability_remediations
  end
end
